###############################################################
#
#  Edit the following lines according to your implementation.
#
#  The environment variable HOME_LORENE (root directory for the
#   Lorene implementation) must be have been already defined.
#
###############################################################

#===============================#
#           COMPILERS		#
#===============================#

# C++ compiler:
# ------------
CXX 	 = g++

# Options for the C++ compiler to produce the optimized library:
# -------------------------------------------------------------
CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS) \
	 $(shell dpkg-buildflags --get CPPFLAGS) \
	 -fPIC

# Options for the C++ compiler to produce the library for debugging:
# -----------------------------------------------------------------
CXXFLAGS_G = $(shell dpkg-buildflags --get CXXFLAGS | sed 's/-O2 //') \
	 $(shell dpkg-buildflags --get CPPFLAGS) \
	 -fPIC

# Path for the include files:
# --------------------------
INC	= -I$(HOME_LORENE)/C++/Include

# Converting archives to random libraries (if required, otherwise just ls)
# ------------------------------------------------------------------------
RANLIB = ls

# Fortran 77 compiler:
# -------------------
F77 	 = gfortran

# Options for the Fortran 77 compiler to produce the optimized library:
# ---------------------------------------------------------------------
F77FLAGS =  $(shell dpkg-buildflags --get CXXFLAGS) \
	 $(shell dpkg-buildflags --get CPPFLAGS) \
	 -ffixed-form -ffixed-line-length-none -fPIC

# Options for the Fortran 77 compiler to produce the library for debugging:
# ------------------------------------------------------------------------
F77FLAGS_G = $(shell dpkg-buildflags --get CXXFLAGS | sed 's/-O2 //') \
	 $(shell dpkg-buildflags --get CPPFLAGS) \
	 -ffixed-form -ffixed-line-length-none -fPIC

#===============================#
#           MAKEDEPEND	        #
#===============================#

# First line uses the C precompiler (usually called cpp)
# if yours does not support the -M option try to figure out
# how to output dependencies file, or use makedepend (2nd line)
#--------------------------------------------------------------
MAKEDEPEND = cpp $(INC) -M >> $(df).d $<
#MAKEDEPEND = touch $(df).d && makedepend $(INC) -f $(df).d $<
DEPDIR = .deps

#===============================#
#      SYSTEM LIBRARIES		#
#===============================#

# FFT library: FFT991 in Fortran coming with Lorene
#              FFTW3 library (must be installed separately)
# -------------------------------------------------------------------
FFT_DIR = FFTW3

# C, C++ library, mathematical library and Fortran library
# ---------------------------------------------------------
LIB_CXX = -lfftw3 -lgfortran -lstdc++ -lm

# Linear Algebra Package (LAPACK) library
# ---------------------------------------
LIB_LAPACK = -llapack -lblas

# Graphical libraries: PGPLOT, PNG and X11
# ----------------------------------------
LIB_PGPLOT = -lcpgplot -lpgplot -lX11

# GNU scientific library
# -----------------------------------
LIB_GSL = -lgsl -lgslcblas




